<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/SampleApplication.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">SampleApplication.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;utility&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;<a class="el" href="_console_printer_8h_source.html">ConsolePrinter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_console_reader_8h_source.html">ConsoleReader.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_equalizer_runtime_setup_8h_source.html">DefaultClient/EqualizerRuntimeSetup.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_gui_renderer_8h_source.html">SampleApp/GuiRenderer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sample_application_return_codes_8h_source.html">SampleApplicationReturnCodes.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_user_input_manager_8h_source.html">UserInputManager.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_capabilities_delegate_8h_source.html">CapabilitiesDelegate/CapabilitiesDelegate.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_external_media_player_8h_source.html">ExternalMediaPlayer/ExternalMediaPlayer.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SampleApplication.h:</div>
<div class="dyncontent">
<div class="center"><img src="_sample_application_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8h" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8h">
<area shape="rect" id="node6" href="_console_printer_8h.html" title="ConsolePrinter.h" alt="" coords="599,185,719,211"/>
<area shape="rect" id="node13" href="_console_reader_8h.html" title="ConsoleReader.h" alt="" coords="446,365,570,391"/>
<area shape="rect" id="node16" href="_equalizer_runtime_setup_8h.html" title="DefaultClient/EqualizerRuntime\lSetup.h" alt="" coords="2318,265,2525,304"/>
<area shape="rect" id="node23" href="_gui_renderer_8h.html" title="SampleApp/GuiRenderer.h" alt="" coords="1667,272,1848,297"/>
<area shape="rect" id="node26" href="_sample_application_return_codes_8h.html" title="SampleApplicationReturnCodes.h" alt="" coords="875,185,1096,211"/>
<area shape="rect" id="node28" href="_user_input_manager_8h.html" title="UserInputManager.h" alt="" coords="1344,105,1486,131"/>
<area shape="rect" id="node35" href="_capabilities_delegate_8h.html" title="CapabilitiesDelegate\l/CapabilitiesDelegate.h" alt="" coords="3929,179,4087,217"/>
<area shape="rect" id="node45" href="_external_media_player_8h.html" title="ExternalMediaPlayer\l/ExternalMediaPlayer.h" alt="" coords="2549,179,2707,217"/>
<area shape="rect" id="node9" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="195,359,371,397"/>
<area shape="rect" id="node12" href="_log_string_formatter_8h.html" title="AVSCommon/Utils/Logger\l/LogStringFormatter.h" alt="" coords="195,265,371,304"/>
<area shape="rect" id="node17" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="2589,352,2787,404"/>
<area shape="rect" id="node18" href="_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerModeController\lInterface.h" alt="" coords="1894,352,2103,404"/>
<area shape="rect" id="node19" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="2963,359,3191,397"/>
<area shape="rect" id="node20" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="2127,359,2318,397"/>
<area shape="rect" id="node21" href="_equalizer_controller_listener_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListener\lInterface.h" alt="" coords="2342,352,2565,404"/>
<area shape="rect" id="node24" href="_template_runtime_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/TemplateRuntimeObserverInterface.h" alt="" coords="1189,359,1435,397"/>
<area shape="rect" id="node29" href="_registration_observer_interface_8h.html" title="RegistrationManager\l/RegistrationObserverInterface.h" alt="" coords="1308,179,1522,217"/>
<area shape="rect" id="node30" href="_interaction_manager_8h.html" title="InteractionManager.h" alt="" coords="1684,185,1831,211"/>
<area shape="rect" id="node31" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1509,359,1697,397"/>
<area shape="rect" id="node32" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="3746,265,3920,304"/>
<area shape="rect" id="node34" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="4091,359,4259,397"/>
<area shape="rect" id="node36" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="4379,265,4570,304"/>
<area shape="rect" id="node37" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="4435,359,4626,397"/>
<area shape="rect" id="node38" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="4987,359,5213,397"/>
<area shape="rect" id="node39" href="_capabilities_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesDelegateInterface.h" alt="" coords="4768,265,4979,304"/>
<area shape="rect" id="node40" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="4701,359,4913,397"/>
<area shape="rect" id="node41" href="_misc_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Storage/MiscStorageInterface.h" alt="" coords="3174,265,3386,304"/>
<area shape="rect" id="node42" href="_device_info_8h.html" title="AVSCommon/Utils/DeviceInfo.h" alt="" coords="4045,272,4254,297"/>
<area shape="rect" id="node43" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="920,359,1115,397"/>
<area shape="rect" id="node44" href="_http_put_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPutInterface.h" alt="" coords="696,359,896,397"/>
<area shape="rect" id="node46" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2598,265,2791,304"/>
<area shape="rect" id="node47" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2816,265,3048,304"/>
<area shape="rect" id="node48" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="3622,359,3813,397"/>
<area shape="rect" id="node49" href="_external_media_adapter_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaAdapterInterface.h" alt="" coords="1271,265,1491,304"/>
<area shape="rect" id="node50" href="_external_media_player_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaPlayerInterface.h" alt="" coords="3512,265,3723,304"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_sample_application_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8hdep" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_sample_application_8hdep">
<area shape="rect" id="node2" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="5,105,204,144"/>
<area shape="rect" id="node3" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="227,105,507,144"/>
</map>
</div>
</div>
<p><a href="_sample_application_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html">alexaClientSDK::sampleApp::SampleApplication</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to manage the top-level components of the AVS Client Application.  <a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html">alexaClientSDK::sampleApp::SampleApplication::AdapterRegistration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html">alexaClientSDK::sampleApp::SampleApplication::MediaPlayerRegistration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1sample_app"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">alexaClientSDK::sampleApp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
